
QGIS Application - Bug report #5872

marker symbol previews incorrectly rendered - should be scaled down instead of clipped when 

larger than preview size

2012-06-26 05:34 AM - Etienne Tourigny

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15333

Description

When using the symbology widgets for editing/creating markers and selecting large sizes (usually larger than 5), the preview icons are

clipped instead or being scaled down, and if large enough the symbol preview is a square instead of the desired shape.  Attaching a few

images illustrating the problem.

This happens in 1.8 and 2.0-dev

History

#1 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
